Get Resources by User
GET /v1/reservations/users/{userId}/resources
Gets all reservation resources authorized to a given user.
Headers
Authorization
Bearer <token>
x-api-key
<api key>
Parameters
userId string(uuid) path parameter (required)
Identifier of the user.
Response
200 OK
A list containing details about each reservation resource.
Body
[] array of ReservationResource objects
A list of ReservationResource objects.
Show ReservationResource attributes
Represents a resource that are available for booking.
id string(uuid)
Unique identifier of the reservation resource.
name string
Name of the reservation resource, typically used for presentation purposes.
description string
An additional description of the resource, typically used for presentation purposes.
deviceId string(uuid)
Identifier of the VAKA system the resource belongs to.
timeScheduleId string
Identifier of the time schedule associated with the resource.
Last updated